Draft Rectangle

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Rectangle and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Page précédente : Draft Polygon.svg Polygone
Page suivante : Texte Draft Text.svg Arrow-right.svg

Draft Rectangle.svg Draft Rectangle

Emplacement du menu
Draft → Rectangle
Ateliers
Draft, Arch
Raccourci par défaut
R E
Introduit dans la version
0.7
Voir aussi
Draft Ellipse, Part Cube

Description

L'outil Rectangle crée un rectangle en sélectionnant deux points. Il utilise les attributs des Draft Propriétés de ligne définies dans Draft La barre d'outils.

Vous pouvez éventuellement ajouter un chanfrein ou un congé circulaire à 45 degrés à chaque coin du rectangle et le diviser en une série de lignes et de colonnes de même taille.

Draft Rectangle example.jpg

Rectangle défini par les deux coins

Utilisation

  1. Appuyez sur le bouton Draft Rectangle.svg Créer un rectangle... ou appuyez sur les touches R puis E.
  2. Cliquez sur un premier point d'angle de la vue 3D ou rentrez une Draft Coordonnées et appuyez sur le bouton Draft AddPoint.svg Draft Ajouter un point.
  3. Cliquez sur un autre point de la vue 3D opposé au premier ou rentrez une Draft Coordonnées et appuyez sur le bouton Draft AddPoint.svg Draft Ajouter un point.
Le deuxième point ne doit pas être contraint aux axes X, Y ou Z sinon le rectangle résultant sera mal formé.

Le rectangle peut être modifié en double-cliquant sur l'élément dans la vue arborescente ou en appuyant sur le bouton Draft Edit.svg Draft Éditer. Ensuite, vous pouvez déplacer les points vers une nouvelle position.

La longueur et la largeur du rectangle peuvent être modifiées après la création en modifiant ses propriétés.

Options

  • Pour entrer les coordonnées manuellement, entrez simplement les chiffres, puis appuyez sur Entrée entre chaque composante X, Y et Z. Vous pouvez appuyer sur le bouton Draft AddPoint.svg Draft Ajouter un point lorsque vous avez les valeurs souhaitées pour insérer le point.
  • Appuyez sur R ou cliquez sur la case à cocher pour basculer en mode relative . Si le mode relatif est activé, les coordonnées du deuxième point sont relatives au premier sinon, ils sont absolus, pris à l'origine (0,0,0).
  • Appuyez sur T ou cochez la case pour passer en mode continue. Si le mode Continue est activé, l'outil Rectangle redémarrera une fois que vous aurez donné le deuxième point, ce qui vous permettra de dessiner un autre rectangle sans appuyer à nouveau sur le bouton de l'outil.
  • Appuyez sur L ou cliquez sur la case à cocher pour passer en mode filled. Si le mode rempli est activé, le rectangle aura une surface remplie si (DonnéesMake Face) est mis à true sinon, le rectangle ne créera pas de surface (DonnéesMake Face false).
  • Maintenez la touche Ctrl pendant que vous dessinez pour forcer l'Draft Accrochage de votre point au point de capture le plus proche, indépendamment de la distance.
  • Appuyez sur Echap ou sur le bouton Fermer pour annuler la commande en cours.

Propriétés

Données

  • DonnéesLength: spécifie la longueur de la forme dans la direction de l'axe X.
  • DonnéesHeight: spécifie la hauteur de la forme dans la direction de l'axe des ordonnées.
  • DonnéesChamfer Size: spécifie la longueur diagonale du chanfrein 45° à chaque coin du rectangle.
  • DonnéesFillet Radius: spécifie le rayon du congé 90° à chaque coin du rectangle.
  • DonnéesRows: spécifie le nombre de lignes de taille égale dans lesquelles la forme d'origine est divisée. par défaut, 1 ligne.
  • DonnéesColumns: spécifie le nombre de colonnes de taille égale dans lesquelles la forme d'origine est divisée. par défaut, 1 colonne.
  • DonnéesMake Face: spécifie si la forme crée une face ou non. Si mis à true, une surface est créée. Sinon, seul le périmètre est considéré comme faisant partie de l'objet.

Vue

  • VuePattern: spécifie un Draft Motif avec lequel remplir la surface de la forme. Cette propriété ne fonctionne que si DonnéesMake Face est mis à true et si VueDisplay Mode est "Flat Lines" (Lignes plates).
  • VuePattern Size: spécifie la taille du Draft Motif.
  • VueTexture Image: spécifie le chemin d'accès à un fichier image à mapper sur la face de la forme. Supprimer cette propriété supprimera l'image.
Le rectangle doit avoir les mêmes proportions que l’image pour éviter les distorsions dans le mappage.

Script

Voir aussi: Draft API et FreeCAD Script de Base.

L'outil Rectangle peut être utilisé dans une macro, et à partir de la console Python en utilisant la fonction suivante:

Rectangle = makeRectangle(length, height, placement=None, face=None, support=None)
  • Crée un objet Rectangle avec length dans la direction X et height dans la direction Y, avec des unités en millimètres.
    • La longueur sera parallèle à l'axe X si aucun autre placement n'est indiqué.
  • Si un placement est donné, il est utilisé; sinon la forme est créée à l'origine.
  • Si face est mis à True, la forme aura une surface et elle apparaîtra remplie.

Exemple:

import FreeCAD, Draft

Rectangle1 = Draft.makeRectangle(4000, 1000)
Rectangle2 = Draft.makeRectangle(1000, 4000)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 45))

Rectangle3 = Draft.makeRectangle(3500, 250, placement=place3)
Arrow-left.svg Page précédente : Draft Polygon.svg Polygone
Page suivante : Texte Draft Text.svg Arrow-right.svg